<?php

/**

||-> CPT - [mtbf]

*/

function mtbf_cpt() {



    register_post_type('mtbf', array(

                        'label' => esc_html__('MT Black Friday','mtbf'),

                        'description' => '',

                        'public' => true,

                        'show_ui' => true,

                        'show_in_menu' => true,

                        'capability_type' => 'post',

                        'map_meta_cap' => true,

                        'hierarchical' => false,

                        'rewrite' => array('slug' => 'mtbf', 'with_front' => false),

                        'query_var' => true,

                        'publicly_queryable' => false,

                        'menu_position' => '1',

                        'menu_icon' => 'dashicons-businessman',

                        'supports' => array('title'),

                        'labels' => array (

                            'name' => esc_html__('Sale Campaigns','mtbf'),

                            'singular_name' => esc_html__('Sale Campaign','mtbf'),

                            'menu_name' => esc_html__('MT Black Friday','mtbf'),

                            'add_new' => esc_html__('Add Sale Campaigns','mtbf'),

                            'add_new_item' => esc_html__('Add New Sale Campaign','mtbf'),

                            'edit' => esc_html__('Edit','mtbf'),

                            'edit_item' => esc_html__('Edit Sale Campaign','mtbf'),

                            'new_item' => esc_html__('New Sale Campaign','mtbf'),

                            'view' => esc_html__('View Sale Campaign','mtbf'),

                            'view_item' => esc_html__('View Sale Campaign','mtbf'),

                            'search_items' => esc_html__('Search Sale Campaigns','mtbf'),

                            'not_found' => esc_html__('No Sale Campaigns Found','mtbf'),

                            'not_found_in_trash' => esc_html__('No Sale Campaigns Found in Trash','mtbf'),

                            'parent' => esc_html__('Parent Sale Campaign','mtbf'),

                            )

                        ) 

                    ); 

}

add_action('init', 'mtbf_cpt');

?>